VPUT(9)

NAME
vput - decrement the use count for a vnode and unlock it

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
void
vput(struct vnode *vp);

DESCRIPTION
Decrement the v_usecount field of a vnode and unlock the vnode.

vp  the vnode to decrement

This operation is functionally equivalent to calling VOP_UNLOCK(9) followed by vrele(9).

SEE ALSO
vnode(9), vref(9), vrele(9), VOP_UNLOCK(9)

AUTHORS
This man page was written by Doug Rabson.